Page MenuHomePhabricator

[ASan] Make FlushUnneededASanShadowMemory a per-platform function
AbandonedPublic

Authored by phosek on Jun 26 2019, 11:03 AM.

Details

Summary

Currently, FlushUnneededASanShadowMemory invokes ReleaseMemoryPagesToOS
on all platforms. The latter function is complex and used by other parts
and implementing it on systems like Fuchsia is tricky. However, the
former is fairly straightforward to implement.

This change decouples the two functions and makes
FlushUnneededASanShadowMemory implementation per-platform which allows
implementing this function separately from ReleaseMemoryPagesToOS. On
all systems except for Fuchsia, FlushUnneededASanShadowMemory is still
implemented in terms of ReleaseMemoryPagesToOS so this change should be
NFC.

Diff Detail

Event Timeline

phosek created this revision.Jun 26 2019, 11:03 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJun 26 2019, 11:03 AM
Herald added subscribers: llvm-commits, Restricted Project, kubamracek. · View Herald Transcript
eugenis accepted this revision.Jun 27 2019, 2:18 PM

LGTM

This revision is now accepted and ready to land.Jun 27 2019, 2:18 PM
phosek abandoned this revision.Jul 11 2019, 3:59 PM

This is no longer needed now that D64166 landed.